export function callbackSubmitData(infoData) {
  // console.log(infoData);
  if (window.callbackSubmitInfoZhiYong && typeof window.callbackSubmitInfoZhiYong === 'function') {
    // console.log('审核回调开始执行', JSON.stringify(infoData));
    infoData = window.callbackSubmitInfoZhiYong({ // 返回新的值就行了.
      postData: infoData, //
    });
  }
  if (typeof infoData === 'object') {
    delete infoData.buttonInfo;
    delete infoData.ssxRemark;
    delete infoData.userNowInfo;
    delete infoData.apiData;
    delete infoData.taskFormKey;
  }
  return infoData;
}

export function callbackApplyData(infoData) { // 流程发起的回调函数
  // console.log(infoData);
  if (window.callbackApplyDataInfoZhiYong && typeof window.callbackApplyDataInfoZhiYong === 'function') {
    infoData = window.callbackApplyDataInfoZhiYong({ // 返回新的值就行了.
      postData: infoData, //
    });

  }
  if (typeof infoData === 'object') {
    delete infoData.userNowInfo;
  }
  return infoData;
}
